package associations1;

import org.hibernate.*;
import org.hibernate.cfg.*;

public class Main {
    public static void main(String[] args) {
        Address a = new Address();
        a.setStreet("ul. Cicha 12");
        a.setCity("Wrocław");
        a.setCode("51-333");
        
        
        Person p1 = new Person();
        p1.setFirstName("Jan");
        p1.setLastName("Kowalski");
        p1.setAddress(a);

        Person p2 = new Person();
        p2.setFirstName("Ewelina");
        p2.setLastName("Kowalski");
        p2.setAddress(a);

        //a.getPersons().add(p);

        Session session1;
        SessionFactory sessionFactory = new Configuration().configure().buildSessionFactory();
        session1 = sessionFactory.openSession();
        Transaction tx1 = session1.beginTransaction();
        session1.persist(a);
        for (Person p : a.getPersons())
        {
            System.out.println(p.getFirstName()+" "+p.getLastName());
        }
        tx1.commit();
        session1.flush();
        session1.close();
    }
}
