package collectionsmapping;

import java.util.*;
import org.hibernate.*;
import org.hibernate.cfg.*;

public class Main {

    public static void main(String[] args) {
        Produkt p1 = new Produkt();
        p1.setNazwa("Banany");
        p1.setCena(3.0);

        Produkt p2 = new Produkt();
        p2.setNazwa("Czekolada");
        p2.setCena(4.0);

        Koszyk k = new Koszyk();
        k.setKlient("Jan Kowalski");
        
        k.getProdukty().add(p1);
        k.getProdukty().add(p2);
        
        k.getAtrybuty().add("data powstania");
        k.getAtrybuty().add("data realizacji");
        
//        Set produkty = new HashSet();
//        produkty.add(p1);
//        produkty.add(p2);
//        k.setProdukty(produkty);
        
        
        Session session1;
        SessionFactory sessionFactory = new Configuration().configure().buildSessionFactory();
        session1 = sessionFactory.openSession();
        Transaction tx1 = session1.beginTransaction();
        session1.persist(k);
        tx1.commit();
        session1.flush();
        session1.close();
    }
}
