package identitymap;

import org.hibernate.*;
import org.hibernate.cfg.*;
import java.util.*;

public class Main {

    public static void main(String[] args) {
        Session session1 = null;
        Session session2 = null;
        Session session3 = null;
        Person person = new Person();
        person.setFirstName("Jan");
        person.setLastName("Kowalski");

        SessionFactory sessionFactory = null;

        try {
            sessionFactory = new Configuration().configure().buildSessionFactory();
            session1 = sessionFactory.openSession();
            Transaction tx1 = session1.beginTransaction();
            session1.saveOrUpdate(person);
            tx1.commit();
        } catch (Exception e) {
            System.out.println(e.getMessage());
        } finally {
            session1.flush();
            session1.close();
        }

        Person p1 = null;
        Person p2 = null;
        Person p3 = null;
        try {
            session2 = sessionFactory.openSession();
            p1 = (Person) session2.load(Person.class, new Integer(1));
            p2 = (Person) session2.load(Person.class, new Integer(1));

            if (p1 == p2) {
                System.out.println("P1, P2 SA ROWNE");
            } else {
                System.out.println("P1, P2 NIE SA ROWNE");
            }
            session3 = sessionFactory.openSession();
            p3 = (Person) session3.load(Person.class, new Integer(1));

            if (p1 == p3) {
                System.out.println("P1, P3 SA ROWNE");
            } else {
                System.out.println("P1, P3 NIE SA ROWNE");
            }


        } catch (Exception e) {
            System.out.println(e.getMessage());
        } finally {
            session2.flush();
            session2.close();
            session3.flush();
            session3.close();
        }
    }
}
