package simplemapping;

import org.hibernate.*;
import org.hibernate.cfg.*;
import java.util.*;

public class Main {
    public static void main(String[] args) {
        Session session1 = null;
        Session session2 = null;
        Osoba o = new Osoba();
        o.setImie("Jan");
        o.setNazwisko("Kowalski");
        o.setPensja(2100.00);
        o.setTelefon("22 534 22 33");
        
        Oddzial u = new Oddzial();
        u.setNazwa("Wrocław");

        SessionFactory sessionFactory = null;

        try {
            sessionFactory = new Configuration().configure().buildSessionFactory();
            session1 = sessionFactory.openSession();
            Transaction tx1 = session1.beginTransaction();
            session1.saveOrUpdate(o);
            session1.saveOrUpdate(u);
            tx1.commit();
        } catch (Exception e) {
            System.out.println(e.getMessage());
        } finally {
            session1.flush();
            session1.close();
        }

        try {
            session2 = sessionFactory.openSession();
            Transaction tx2 = session2.beginTransaction();
            String SQL_QUERY = "from Osoba as o order by o.Nazwisko asc";
            Query query = session2.createQuery(SQL_QUERY);
            System.out.println(String.format("Znaleziono: %d", query.list().size()));
            for (Object obj : query.list()) {
                Osoba os = (Osoba) obj;
                System.out.println(String.format(
                        "ID: %d \t Imie: %s \t Nazwisko: %s \t Pensja: %f \t Telefon: %s",
                        os.getId(), os.getImie(), os.getNazwisko(), os.getPensja(), os.getTelefon()));
            }
            tx2.commit();
        } catch (Exception e) {
            System.out.println(e.getMessage());
        } finally {
            session2.flush();
            session2.close();
        }
    }
}